Commit 06ff2228 authored by jaywink's avatar jaywink
Browse files

Bump some Python dependencies

parent 5e68e7e6
Pipeline #5704 canceled with stages
......@@ -16,7 +16,8 @@ factory_boy
Faker
flake8
freezegun
ipdb
# https://github.com/gotcha/ipdb/blob/master/HISTORY.txt#L24
ipdb<0.13.5
pip-tools
pytest
pytest-blockage
......
......@@ -23,7 +23,7 @@ aioredis==1.3.1
# channels-redis
alabaster==0.7.12
# via sphinx
arrow==0.17.0
arrow==1.0.3
# via -r requirements/requirements.txt
asgiref==3.3.1
# via
......@@ -44,7 +44,7 @@ attrs==20.3.0
# pytest
# service-identity
# twisted
autobahn==20.12.3
autobahn==21.3.1
# via
# -r requirements/requirements.txt
# daphne
......@@ -52,7 +52,7 @@ automat==20.2.0
# via
# -r requirements/requirements.txt
# twisted
autopep8==1.5.4
autopep8==1.5.6
# via
# -r requirements/requirements.txt
# django-silk
......@@ -67,7 +67,7 @@ beautifulsoup4==4.9.3
# -r requirements/requirements.txt
# pyembed
# python-opengraph-jaywink
bleach==3.2.1
bleach==3.3.0
# via
# -r requirements/requirements.txt
# federation
......@@ -75,7 +75,7 @@ certifi==2020.12.5
# via
# -r requirements/requirements.txt
# requests
cffi==1.14.4
cffi==1.14.5
# via
# -r requirements/requirements.txt
# cryptography
......@@ -98,6 +98,8 @@ click==7.1.2
# rq
codecov==2.1.11
# via -r requirements/requirements-dev.in
colorama==0.4.4
# via sphinx-autobuild
constantly==15.1.0
# via
# -r requirements/requirements.txt
......@@ -112,17 +114,17 @@ coreschema==0.0.4
# -r requirements/requirements.txt
# coreapi
# drf-yasg
coverage==5.3.1
coverage==5.5
# via
# -r requirements/requirements-dev.in
# codecov
# django-coverage-plugin
# pytest-cov
croniter==0.3.37
croniter==1.0.8
# via
# -r requirements/requirements.txt
# rq-scheduler
cryptography==3.3.1
cryptography==3.4.6
# via
# -r requirements/requirements.txt
# autobahn
......@@ -138,14 +140,14 @@ daphne==2.5.0
# via
# -r requirements/requirements.txt
# channels
ddt==1.4.1
ddt==1.4.2
# via -r requirements/requirements-dev.in
decorator==4.4.2
# via
# -r requirements/requirements.txt
# ipython
# traitlets
defusedxml==0.6.0
defusedxml==0.7.1
# via
# -r requirements/requirements.txt
# python3-openid
......@@ -161,7 +163,7 @@ django-braces==1.14.0
# via -r requirements/requirements.txt
django-coverage-plugin==1.8.0
# via -r requirements/requirements-dev.in
django-crispy-forms==1.10.0
django-crispy-forms==1.11.1
# via -r requirements/requirements.txt
django-debug-toolbar-user-panel==1.1.1
# via -r requirements/requirements-dev.in
......@@ -169,11 +171,11 @@ django-debug-toolbar==1.11
# via -r requirements/requirements-dev.in
django-dynamic-preferences==1.5.1
# via -r requirements/requirements.txt
django-enumfields==2.0.0
django-enumfields==2.1.1
# via -r requirements/requirements.txt
django-environ==0.4.5
# via -r requirements/requirements.txt
django-extensions==3.1.0
django-extensions==3.1.1
# via -r requirements/requirements.txt
django-floppyforms==1.9.0
# via -r requirements/requirements.txt
......@@ -193,7 +195,7 @@ django-redis==4.12.1
# via -r requirements/requirements.txt
django-redisboard==4.1.1
# via -r requirements/requirements.txt
django-reversion==3.0.8
django-reversion==3.0.9
# via -r requirements/requirements.txt
django-robots==4.0
# via -r requirements/requirements.txt
......@@ -213,7 +215,7 @@ django-test-plus==1.4.0
# via -r requirements/requirements-dev.in
django-versatileimagefield==2.0
# via -r requirements/requirements.txt
django==2.2.17
django==2.2.19
# via
# -r requirements/requirements.txt
# channels
......@@ -236,7 +238,7 @@ django==2.2.17
# django-stubs
# djangorestframework
# drf-yasg
djangorestframework-stubs==1.3.0
djangorestframework-stubs==1.4.0
# via -r requirements/requirements-dev.in
djangorestframework==3.12.2
# via
......@@ -250,15 +252,19 @@ drf-yasg==1.20.0
# via -r requirements/requirements.txt
factory-boy==3.2.0
# via -r requirements/requirements-dev.in
faker==5.3.0
faker==6.6.2
# via
# -r requirements/requirements-dev.in
# factory-boy
flake8==3.8.4
flake8==3.9.0
# via -r requirements/requirements-dev.in
freezegun==1.0.0
freezegun==1.1.0
# via -r requirements/requirements-dev.in
gprof2dot==2019.11.30
future==0.18.2
# via
# -r requirements/requirements.txt
# croniter
gprof2dot==2021.2.21
# via
# -r requirements/requirements.txt
# django-silk
......@@ -267,7 +273,7 @@ hiredis==1.1.0
# via
# -r requirements/requirements.txt
# aioredis
hyperlink==20.0.1
hyperlink==21.0.0
# via
# -r requirements/requirements.txt
# autobahn
......@@ -280,7 +286,7 @@ idna==2.10
# twisted
imagesize==1.2.0
# via sphinx
incremental==17.5.0
incremental==21.3.0
# via
# -r requirements/requirements.txt
# twisted
......@@ -316,7 +322,7 @@ jedi==0.17.2
# via
# -r requirements/requirements.txt
# ipython
jinja2==2.11.2
jinja2==2.11.3
# via
# -r requirements/requirements.txt
# coreschema
......@@ -332,7 +338,7 @@ lxml==4.6.2
# via
# -r requirements/requirements.txt
# federation
markdown==3.3.3
markdown==3.3.4
# via
# -r requirements/requirements.txt
# django-markdownx
......@@ -348,11 +354,11 @@ msgpack==0.6.2
# channels-redis
mypy-extensions==0.4.3
# via mypy
mypy==0.790
mypy==0.812
# via
# django-stubs
# djangorestframework-stubs
natsort==7.1.0
natsort==7.1.1
# via
# -r requirements/requirements.txt
# croniter
......@@ -360,7 +366,7 @@ oauthlib==3.1.0
# via
# -r requirements/requirements.txt
# requests-oauthlib
packaging==20.8
packaging==20.9
# via
# -r requirements/requirements.txt
# bleach
......@@ -372,6 +378,8 @@ parso==0.7.1
# via
# -r requirements/requirements.txt
# jedi
pep517==0.10.0
# via pip-tools
persisting-theory==0.2.1
# via
# -r requirements/requirements.txt
......@@ -384,16 +392,16 @@ pickleshare==0.7.5
# via
# -r requirements/requirements.txt
# ipython
pillow==8.0.1
pillow==8.1.2
# via
# -r requirements/requirements.txt
# django-markdownx
# django-versatileimagefield
pip-tools==5.5.0
pip-tools==6.0.1
# via -r requirements/requirements-dev.in
pluggy==0.13.1
# via pytest
prompt-toolkit==3.0.8
prompt-toolkit==3.0.17
# via
# -r requirements/requirements.txt
# ipython
......@@ -418,7 +426,7 @@ pyasn1==0.4.8
# -r requirements/requirements.txt
# pyasn1-modules
# service-identity
pycodestyle==2.6.0
pycodestyle==2.7.0
# via
# -r requirements/requirements.txt
# autopep8
......@@ -427,23 +435,19 @@ pycparser==2.20
# via
# -r requirements/requirements.txt
# cffi
pycryptodome==3.9.9
pycryptodome==3.10.1
# via
# -r requirements/requirements.txt
# federation
pyflakes==2.2.0
pyflakes==2.3.0
# via flake8
pygments==2.7.3
pygments==2.8.1
# via
# -r requirements/requirements.txt
# django-silk
# ipython
# sphinx
pyhamcrest==2.0.2
# via
# -r requirements/requirements.txt
# twisted
pyjwt[crypto]==2.0.0
pyjwt[crypto]==2.0.1
# via
# -r requirements/requirements.txt
# django-allauth
......@@ -461,7 +465,7 @@ pyrsistent==0.17.3
# jsonschema
pytest-blockage==0.2.2
# via -r requirements/requirements-dev.in
pytest-cov==2.10.1
pytest-cov==2.11.1
# via -r requirements/requirements-dev.in
pytest-django==4.1.0
# via -r requirements/requirements-dev.in
......@@ -471,7 +475,7 @@ pytest-profiling==1.7.0
# via -r requirements/requirements-dev.in
pytest-sugar==0.9.4
# via -r requirements/requirements-dev.in
pytest==6.2.1
pytest==6.2.2
# via
# -r requirements/requirements-dev.in
# pytest-blockage
......@@ -489,7 +493,8 @@ python-dateutil==2.8.1
# faker
# federation
# freezegun
python-magic==0.4.18
# rq-scheduler
python-magic==0.4.22
# via
# -r requirements/requirements.txt
# django-versatileimagefield
......@@ -503,18 +508,18 @@ python3-openid==3.2.0
# via
# -r requirements/requirements.txt
# django-allauth
pytz==2020.5
pytz==2021.1
# via
# -r requirements/requirements.txt
# babel
# django
# django-silk
# federation
pyyaml==5.3.1
pyyaml==5.4.1
# via
# -r requirements/requirements.txt
# federation
pyzmq==20.0.0
pyzmq==22.0.3
# via
# -r requirements/requirements.txt
# circus
......@@ -549,7 +554,7 @@ requests==2.25.1
# requests-http-signature-jaywink
# requests-oauthlib
# sphinx
rq-scheduler==0.10.0
rq-scheduler==0.11.0
# via -r requirements/requirements.txt
rq==1.7.0
# via
......@@ -560,7 +565,7 @@ ruamel.yaml.clib==0.2.2
# via
# -r requirements/requirements.txt
# ruamel.yaml
ruamel.yaml==0.16.12
ruamel.yaml==0.16.13
# via
# -r requirements/requirements.txt
# drf-yasg
......@@ -573,7 +578,6 @@ six==1.15.0
# -r requirements/requirements.txt
# automat
# bleach
# cryptography
# django-braces
# django-coverage-plugin
# django-dynamic-preferences
......@@ -585,15 +589,15 @@ six==1.15.0
# python-dateutil
# traitlets
# unicode-slugify
snowballstemmer==2.0.0
snowballstemmer==2.1.0
# via sphinx
soupsieve==2.1
soupsieve==2.2.1
# via
# -r requirements/requirements.txt
# beautifulsoup4
sphinx-autobuild==2020.9.1
sphinx-autobuild==2021.3.14
# via -r requirements/requirements-dev.in
sphinx==3.4.1
sphinx==3.5.3
# via
# -r requirements/requirements-dev.in
# recommonmark
......@@ -624,6 +628,7 @@ toml==0.10.2
# via
# -r requirements/requirements.txt
# autopep8
# pep517
# pytest
tornado==6.1
# via
......@@ -634,11 +639,11 @@ traitlets==4.3.3
# via
# -r requirements/requirements.txt
# ipython
twisted[tls]==20.3.0
twisted[tls]==21.2.0
# via
# -r requirements/requirements.txt
# daphne
txaio==20.12.1
txaio==21.2.1
# via
# -r requirements/requirements.txt
# autobahn
......@@ -651,7 +656,7 @@ typing-extensions==3.7.4.3
# mypy
unicode-slugify==0.1.3
# via -r requirements/requirements.txt
unidecode==1.1.2
unidecode==1.2.0
# via
# -r requirements/requirements.txt
# unicode-slugify
......@@ -660,7 +665,7 @@ uritemplate==3.0.1
# -r requirements/requirements.txt
# coreapi
# drf-yasg
urllib3==1.26.2
urllib3==1.26.4
# via
# -r requirements/requirements.txt
# requests
......
......@@ -16,7 +16,7 @@
# via -r requirements/requirements.in
aioredis==1.3.1
# via channels-redis
arrow==0.17.0
arrow==1.0.3
# via -r requirements/requirements.in
asgiref==3.3.1
# via
......@@ -32,11 +32,11 @@ attrs==20.3.0
# jsonschema
# service-identity
# twisted
autobahn==20.12.3
autobahn==21.3.1
# via daphne
automat==20.2.0
# via twisted
autopep8==1.5.4
autopep8==1.5.6
# via django-silk
backcall==0.2.0
# via ipython
......@@ -44,13 +44,13 @@ beautifulsoup4==4.9.3
# via
# pyembed
# python-opengraph-jaywink
bleach==3.2.1
bleach==3.3.0
# via
# -r requirements/requirements.in
# federation
certifi==2020.12.5
# via requests
cffi==1.14.4
cffi==1.14.5
# via cryptography
channels-redis==2.4.2
# via -r requirements/requirements.in
......@@ -72,9 +72,9 @@ coreschema==0.0.4
# via
# coreapi
# drf-yasg
croniter==0.3.37
croniter==1.0.8
# via rq-scheduler
cryptography==3.3.1
cryptography==3.4.6
# via
# autobahn
# federation
......@@ -89,7 +89,7 @@ decorator==4.4.2
# via
# ipython
# traitlets
defusedxml==0.6.0
defusedxml==0.7.1
# via python3-openid
dirty-validators==0.5.4
# via federation
......@@ -99,15 +99,15 @@ django-autoslug==1.9.8
# via -r requirements/requirements.in
django-braces==1.14.0
# via -r requirements/requirements.in
django-crispy-forms==1.10.0
django-crispy-forms==1.11.1
# via -r requirements/requirements.in
django-dynamic-preferences==1.5.1
# via -r requirements/requirements.in
django-enumfields==2.0.0
django-enumfields==2.1.1
# via -r requirements/requirements.in
django-environ==0.4.5
# via -r requirements/requirements.in
django-extensions==3.1.0
django-extensions==3.1.1
# via -r requirements/requirements.in
django-floppyforms==1.9.0
# via -r requirements/requirements.in
......@@ -125,7 +125,7 @@ django-redis==4.12.1
# via -r requirements/requirements.in
django-redisboard==4.1.1
# via -r requirements/requirements.in
django-reversion==3.0.8
django-reversion==3.0.9
# via -r requirements/requirements.in
django-robots==4.0
# via -r requirements/requirements.in
......@@ -139,7 +139,7 @@ django-silk==4.1.0
# via -r requirements/requirements.in
django-versatileimagefield==2.0
# via -r requirements/requirements.in
django==2.2.17
django==2.2.19
# via
# -r requirements/requirements.in
# channels
......@@ -166,11 +166,13 @@ djangorestframework==3.12.2
# drf-yasg
drf-yasg==1.20.0
# via -r requirements/requirements.in
gprof2dot==2019.11.30
future==0.18.2
# via croniter
gprof2dot==2021.2.21
# via django-silk
hiredis==1.1.0
# via aioredis
hyperlink==20.0.1
hyperlink==21.0.0
# via
# autobahn
# twisted
......@@ -179,7 +181,7 @@ idna==2.10
# hyperlink
# requests
# twisted
incremental==17.5.0
incremental==21.3.0
# via twisted
inflection==0.5.1
# via drf-yasg
......@@ -197,7 +199,7 @@ jedi==0.17.2
# via
# -r requirements/requirements.in
# ipython
jinja2==2.11.2
jinja2==2.11.3
# via
# coreschema
# django-silk
......@@ -207,17 +209,17 @@ lxml==4.6.2
# via
# -r requirements/requirements.in
# federation
markdown==3.3.3
markdown==3.3.4
# via django-markdownx
markupsafe==1.1.1
# via jinja2
msgpack==0.6.2
# via channels-redis
natsort==7.1.0
natsort==7.1.1
# via croniter
oauthlib==3.1.0
# via requests-oauthlib
packaging==20.8
packaging==20.9
# via
# bleach
# drf-yasg
......@@ -229,12 +231,12 @@ pexpect==4.8.0
# via ipython
pickleshare==0.7.5
# via ipython
pillow==8.0.1
pillow==8.1.2
# via
# -r requirements/requirements.in
# django-markdownx
# django-versatileimagefield
prompt-toolkit==3.0.8
prompt-toolkit==3.0.17
# via ipython
psutil==5.8.0
# via circus
......@@ -248,19 +250,17 @@ pyasn1==0.4.8
# via
# pyasn1-modules
# service-identity
pycodestyle==2.6.0
pycodestyle==2.7.0
# via autopep8
pycparser==2.20
# via cffi
pycryptodome==3.9.9
pycryptodome==3.10.1
# via federation
pygments==2.7.3
pygments==2.8.1
# via
# django-silk
# ipython
pyhamcrest==2.0.2
# via twisted
pyjwt[crypto]==2.0.0
pyjwt[crypto]==2.0.1
# via django-allauth
pyopenssl==20.0.1
# via twisted
......@@ -274,7 +274,8 @@ python-dateutil==2.8.1
# croniter
# django-silk
# federation
python-magic==0.4.18
# rq-scheduler
python-magic==0.4.22
# via django-versatileimagefield
python-opengraph-jaywink==0.2.0
# via -r requirements/requirements.in
......@@ -282,17 +283,17 @@ python-xrd==0.1
# via federation
python3-openid==3.2.0
# via django-allauth
pytz==2020.5
pytz==2021.1
# via
# -r requirements/requirements.in
# django
# django-silk
# federation
pyyaml==5.3.1
pyyaml==5.4.1
# via
# -r requirements/requirements.in
# federation
pyzmq==20.0.0
pyzmq==22.0.3
# via circus
raven==6.10.0
# via -r requirements/requirements.in
......@@ -317,7 +318,7 @@ requests==2.25.1
# python-opengraph-jaywink
# requests-http-signature-jaywink
# requests-oauthlib
rq-scheduler==0.10.0
rq-scheduler==0.11.0
# via -r requirements/requirements.in
rq==1.7.0
# via
......@@ -326,7 +327,7 @@ rq==1.7.0
# rq-scheduler
ruamel.yaml.clib==0.2.2
# via ruamel.yaml
ruamel.yaml==0.16.12
ruamel.yaml==0.16.13
# via drf-yasg
service-identity==18.1.0
# via twisted
......@@ -334,7 +335,6 @@ six==1.15.0
# via
# automat
# bleach
# cryptography
# django-braces
# django-dynamic-preferences
# isodate
......@@ -343,7 +343,7 @@ six==1.15.0
# python-dateutil
# traitlets
# unicode-slugify
soupsieve==2.1
soupsieve==2.2.1
# via beautifulsoup4
sqlparse==0.4.1
# via
......@@ -357,19 +357,19 @@ traitlets==4.3.3
# via